import getNumberName from '../../../index';
import getLocalizedNumberName from './index';

describe('Plurals', () => {
  describe('1 in millions place', () => {
    const value = 1000000;
    const name = 'eine Million';
    it(`converts ${value} to ${name}`, () => {
      expect(getNumberName(value, {locale: getLocalizedNumberName})).toBe(name);
    });
  });

  describe.each`
    ones | onesName
    ${2} | ${'zwei'}
    ${3} | ${'drei'}
    ${4} | ${'vier'}
    ${5} | ${'fünf'}
    ${6} | ${'sechs'}
    ${7} | ${'sieben'}
    ${8} | ${'acht'}
    ${9} | ${'neun'}
  `('$ones in millions place', ({
    ones,
    onesName,
  }) => {
    const value = ones * 1000000;
    const name = `${onesName} Millionen`;
    it(`converts ${value} to ${name}`, () => {
      expect(getNumberName(value, {locale: getLocalizedNumberName})).toBe(name);
    });
  });

  describe('1 in billions place', () => {
    const value = 1000000000;
    const name = 'eine Milliarde';
    it(`converts ${value} to ${name}`, () => {
      expect(getNumberName(value, {locale: getLocalizedNumberName})).toBe(name);
    });
  });

  describe.each`
    ones | onesName
    ${2} | ${'zwei'}
    ${3} | ${'drei'}
    ${4} | ${'vier'}
    ${5} | ${'fünf'}
    ${6} | ${'sechs'}
    ${7} | ${'sieben'}
    ${8} | ${'acht'}
    ${9} | ${'neun'}
  `('$ones in billions place', ({
    ones,
    onesName,
  }) => {
    const value = ones * 1000000000;
    const name = `${onesName} Milliarden`;
    it(`converts ${value} to ${name}`, () => {
      expect(getNumberName(value, {locale: getLocalizedNumberName})).toBe(name);
    });
  });
});
