import getNumberName from '../../../index';
import getLocalizedNumberName from './index';

describe('Landon\'s original test cases', () => {
  describe('Basic conversions', () => {
    it.each`
      value                  | traditionalBritishName
      ${1}                   | ${'one'}
      ${1000}                | ${'one thousand'}
      ${1000000}             | ${'one million'}
      ${1000000000}          | ${'one thousand million'}
      ${1000000000000}       | ${'one billion'}
      ${1000000000000000}    | ${'one thousand billion'}
      ${1000000000000000000} | ${'one trillion'}
    `('converts $value to $traditionalBritishName', ({value, traditionalBritishName}) => {
      expect(getNumberName(value, {locale: getLocalizedNumberName})).toBe(traditionalBritishName);
    });
  });

  describe('Medium size numbers (<= 1e+63)', () => {
    describe('Table 1', () => {
      it.each`
        value      | traditionalBritishName
        ${'1e+9'}  | ${'thousand million'}
        ${'1e+12'} | ${'billion'}
        ${'1e+15'} | ${'thousand billion'}
        ${'1e+18'} | ${'trillion'}
        ${'1e+21'} | ${'thousand trillion'}
        ${'1e+24'} | ${'quadrillion'}
        ${'1e+27'} | ${'thousand quadrillion'}
        ${'1e+30'} | ${'quintillion'}
        ${'1e+33'} | ${'thousand quintillion'}
        ${'1e+36'} | ${'sextillion'}
        ${'1e+39'} | ${'thousand sextillion'}
        ${'1e+42'} | ${'septillion'}
        ${'1e+45'} | ${'thousand septillion'}
        ${'1e+48'} | ${'octillion'}
        ${'1e+51'} | ${'thousand octillion'}
        ${'1e+54'} | ${'nonillion'}
        ${'1e+57'} | ${'thousand nonillion'}
        ${'1e+60'} | ${'decillion'}
        ${'1e+63'} | ${'thousand decillion'}
      `('converts $value to $traditionalBritishName', ({value, traditionalBritishName}) => {
        expect(getNumberName(value, {locale: getLocalizedNumberName})).toBe(`one ${traditionalBritishName}`);
      });
    });
  });
});